Difference between revisions of "Draft Clone/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
 
(31 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_PointArray/fr|Matrice de points Draft]]
+
|[[Draft_PointArray/fr|Réseau de points]]
|[[Draft_Drawing/fr|Dessin Draft]]
+
|[[Draft_Drawing/fr|Dessin]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_PointArray.svg
 
|IconL=Draft_PointArray.svg
Line 9: Line 9:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft Clone
 
|Name=Draft Clone
|Name/fr=Clone Draft
+
|Name/fr=Draft Clone
 
|MenuLocation=Draft → Clone
 
|MenuLocation=Draft → Clone
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
+
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
|SeeAlso=[[Draft Move/fr|Déplacer Draft]], [[Draft Scale/fr|Echelle Draft]]
+
|SeeAlso=[[Draft Move/fr|Draft Déplacer]], [[Draft Scale/fr|Draft Echelle]]
 
}}
 
}}
</div>
 
  
==Description==
+
==Description==  
L'outil Clone produit des copies liées d'une forme sélectionnée. Cela signifie que si l'objet d'origine change de forme et de propriétés, tous les clones changent également. Néanmoins, chaque clone conserve sa position, sa rotation et son échelle uniques, ainsi que ses propriétés d'affichage telles que la couleur de la forme, la largeur de trait et la transparence.
 
  
<div class="mw-translate-fuzzy">
+
L'outil {{Button|[[Image:Draft Clone.svg|16px]] [[Draft Clone/fr|Draft Clone]]}} produit des copies liées d'une forme sélectionnée. Cela signifie que si l'objet d'origine change de forme et de propriétés, tous les clones changent également. Néanmoins, chaque clone conserve sa position, sa rotation et son échelle uniques, ainsi que ses propriétés d'affichage telles que la couleur de la forme, la largeur de trait et la transparence.
L'outil Clone peut être utilisé sur des formes 2D créées avec [[Draft Workbench/fr|Atelier Draft]] mais également sur de nombreux types d'objets 3D, tels que ceux créés avec [[Part Workbench/fr|Atelier Part]], [[PartDesign Workbench/fr|Atelier PartDesign]] ou [[[Arch Workbench/fr|Atelier Arch]]].
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
L'outil Clone peut être utilisé sur des formes 2D créées avec [[Draft Workbench/fr|Atelier Draft]] mais également sur de nombreux types d'objets 3D, tels que ceux créés avec [[Part Workbench/fr|Atelier Part]], [[PartDesign Workbench/fr|Atelier PartDesign]] ou [[Arch Workbench/fr|Atelier Arch]].
Pour créer des copies simples, totalement indépendantes d'un objet d'origine, utilisez [[Draft Move/fr|Déplacer Draft]], [[Draft Rotate/fr|Rotation Draft]] et [[Draft Scale/fr|Echelle Draft]]. Pour positionner les copies dans un tableau orthogonal, utilisez [[Draft Array/fr|Matrice Draft]]. Pour positionner les copies le long d’un chemin, utilisez [[Draft PathArray/fr|Série de copies Draft]]. Pour positionner les copies à des points spécifiés, utilisez [[Draft PointArray/fr|Série de copies Draft]].
+
 
</div>
+
Pour créer des copies simples, totalement indépendantes d'un objet d'origine, utilisez [[Draft_Move/fr|Draft Déplacer]], [[Draft_Rotate/fr|Draft Rotation]] et [[Draft_Scale/fr|Draft Echelle]]. Pour positionner les copies dans un tableau orthogonal, utilisez [[Draft_Array/fr|Draft Matrice]]. Pour positionner les copies le long d’un chemin, utilisez [[Draft_PathArray/fr|Draft Série de copies]]. Pour positionner les copies à des points spécifiés, utilisez [[Draft_PointArray/fr|Draft Série de copies]].
  
 
[[Image:Draft_Clone_example.jpg|400px]]
 
[[Image:Draft_Clone_example.jpg|400px]]
 
{{Caption|Clone à côté de son objet d'origine}}
 
{{Caption|Clone à côté de son objet d'origine}}
  
<div class="mw-translate-fuzzy">
+
==Utilisation==  
==Utilisation==
 
# Sélectionnez l'objet (les objets) à cloner.
 
# Pressez le bouton {{Button|[[Image:Draft Clone.svg|16px]] [[Draft Clone/fr|Clone Draft]]}}.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
# Sélectionnez un objet que vous voulez cloner.
Selon ses options, l'outil {{Button|[[Image:Draft Scale.svg|16px]] [[Draft Scale/fr|Echelle Draft]]}} crée également un clone à une échelle spécifiée.
+
# Pressez le bouton {{Button|[[Image:Draft Clone.svg|16px]] [[Draft_Clone/fr|Draft Clone]]}}.
</div>
 
  
<div class="mw-translate-fuzzy">
+
Selon ses options, l'outil {{Button|[[Image:Draft Scale.svg|16px]] [[Draft_Scale/fr|Draft Echelle]]}} crée également un clone à une échelle spécifiée.
Les clones d'objets 2D créés avec [[Draft Workbench|Atelier Draft]] ou [[Sketcher Workbench/fr|Atelier Sketcher]] sont également des objets 2D et peuvent donc être utilisés tels quels pour [[PartDesign Workbench/fr|Atelier PartDesign]].
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
Les clones d'objets 2D créés avec [[Draft Workbench/fr|Atelier Draft]] ou [[Sketcher Workbench/fr|Atelier Sketcher]] sont également des objets 2D et peuvent donc être utilisés tels quels pour [[PartDesign Workbench/fr|Atelier PartDesign]].
Tous les objets [[Arch Workbench/fr|Atelier Arch]] ont la possibilité de se comporter comme des clones en utilisant la propriété {{PropertyData|CloneOf}}. Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un tel clone Arch au lieu d'un clone Draft normal.
+
 
</div>
+
Tous les objets [[Arch Workbench/fr|Atelier Arch]] ont la possibilité de se comporter comme des clones en utilisant la propriété {{PropertyData/fr|CloneOf}}. Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un tel clone Arch au lieu d'un clone Draft normal.
  
 
===Limitations===
 
===Limitations===
Actuellement, l'[[Sketcher Workbench|Atelier Sketcher]] ne peut pas être mappé sur les faces d'un clone.
+
Actuellement, l'[[Sketcher Workbench/fr|Atelier Sketcher]] ne peut pas être mappé sur les faces d'un clone.
  
 
==Options==
 
==Options==
Line 58: Line 46:
  
 
==Propriétés==
 
==Propriétés==
* {{PropertyData|Objects}}: spécifie une liste d'objets de base en cours de clonage.
+
* {{PropertyData/fr|Objects}}: spécifie une liste d'objets de base en cours de clonage.
* {{PropertyData|Scale}}: spécifie le facteur de mise à l'échelle du clone, dans chaque direction X, Y et Z.
+
* {{PropertyData/fr|Scale}}: spécifie le facteur de mise à l'échelle du clone, dans chaque direction X, Y et Z.
* {{PropertyData|Fuse}}: si elle est {{TRUE}} et que {{PropertyData|Objects}} inclut de nombreuses formes qui s'entrecroisent, le clone résultant sera fusionné en une seule forme ou créera un composé d'eux. {{Version|0.17}}
+
* {{PropertyData/fr|Fuse}}: si elle est {{TRUE}} et que {{PropertyData/fr|Objects}} inclut de nombreuses formes qui s'entrecroisent, le clone résultant sera fusionné en une seule forme ou créera un composé d'eux. {{Version/fr|0.17}}
  
<div class="mw-translate-fuzzy">
 
 
==Script==
 
==Script==
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
L'outil Clone peut être utilisé dans une [[macros/fr|macro]] ainsi que dans la console [[Python/fr|Python]] en utilisant la commande :
 
L'outil Clone peut être utilisé dans une [[macros/fr|macro]] ainsi que dans la console [[Python/fr|Python]] en utilisant la commande :
</div>
+
 
 
{{Code|code=
 
{{Code|code=
 
cloned_object = clone(obj, delta=None, forcedraft=False)
 
cloned_object = clone(obj, delta=None, forcedraft=False)
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
* Crée un {{incode|cloned_object}} à partir de {{incode|obj}} qui peut être un objet unique ou une liste d'objets.
 
* Crée un {{incode|cloned_object}} à partir de {{incode|obj}} qui peut être un objet unique ou une liste d'objets.
 
* S'il est spécifié, {{incode|delta}} est un {{incode|FreeCAD.Vector}} qui déplace le nouveau clone de la position d'origine de l'objet de base.
 
* S'il est spécifié, {{incode|delta}} est un {{incode|FreeCAD.Vector}} qui déplace le nouveau clone de la position d'origine de l'objet de base.
 
* Si {{incode|forcraft}} est {{incode|True}}, l'objet résultant sera un clone Draft et non un clone Arch même si {{incode|obj}} est un [[Arch Workbench/fr|Atelier Arch]] objet.
 
* Si {{incode|forcraft}} est {{incode|True}}, l'objet résultant sera un clone Draft et non un clone Arch même si {{incode|obj}} est un [[Arch Workbench/fr|Atelier Arch]] objet.
</div>
 
  
 
La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut {{incode|Fuse}} à {{incode|True}}.
 
La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut {{incode|Fuse}} à {{incode|True}}.
  
 
Exemple:
 
Exemple:
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Line 98: Line 82:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_PointArray/fr|Matrice de points Draft]]
+
|[[Draft_PointArray/fr|Réseau de points]]
|[[Draft_Drawing/fr|Dessin Draft]]
+
|[[Draft_Drawing/fr|Dessin]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_PointArray.svg
 
|IconL=Draft_PointArray.svg
Line 107: Line 90:
 
|IconR=Draft_Drawing.svg
 
|IconR=Draft_Drawing.svg
 
}}
 
}}
</div>
 
 
{{Draft Tools navi/fr}}
 
  
{{Userdocnavi/fr}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 13:12, 20 November 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft PointArray.svg Réseau de points
Page suivante : Dessin Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Emplacement du menu
Draft → Clone
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Déplacer, Draft Echelle


Description

L'outil Draft Clone.svg Draft Clone produit des copies liées d'une forme sélectionnée. Cela signifie que si l'objet d'origine change de forme et de propriétés, tous les clones changent également. Néanmoins, chaque clone conserve sa position, sa rotation et son échelle uniques, ainsi que ses propriétés d'affichage telles que la couleur de la forme, la largeur de trait et la transparence.

L'outil Clone peut être utilisé sur des formes 2D créées avec Atelier Draft mais également sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign ou Atelier Arch.

Pour créer des copies simples, totalement indépendantes d'un objet d'origine, utilisez Draft Déplacer, Draft Rotation et Draft Echelle. Pour positionner les copies dans un tableau orthogonal, utilisez Draft Matrice. Pour positionner les copies le long d’un chemin, utilisez Draft Série de copies. Pour positionner les copies à des points spécifiés, utilisez Draft Série de copies.

Draft Clone example.jpg

Clone à côté de son objet d'origine


Utilisation

  1. Sélectionnez un objet que vous voulez cloner.
  2. Pressez le bouton Draft Clone.svg Draft Clone.

Selon ses options, l'outil Draft Scale.svg Draft Echelle crée également un clone à une échelle spécifiée.

Les clones d'objets 2D créés avec Atelier Draft ou Atelier Sketcher sont également des objets 2D et peuvent donc être utilisés tels quels pour Atelier PartDesign.

Tous les objets Atelier Arch ont la possibilité de se comporter comme des clones en utilisant la propriété DonnéesCloneOf. Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un tel clone Arch au lieu d'un clone Draft normal.

Limitations

Actuellement, l'Atelier Sketcher ne peut pas être mappé sur les faces d'un clone.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DonnéesObjects: spécifie une liste d'objets de base en cours de clonage.
  • DonnéesScale: spécifie le facteur de mise à l'échelle du clone, dans chaque direction X, Y et Z.
  • DonnéesFuse: si elle est true et que DonnéesObjects inclut de nombreuses formes qui s'entrecroisent, le clone résultant sera fusionné en une seule forme ou créera un composé d'eux. Introduit dans la version 0.17

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Clone peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crée un cloned_object à partir de obj qui peut être un objet unique ou une liste d'objets.
  • S'il est spécifié, delta est un FreeCAD.Vector qui déplace le nouveau clone de la position d'origine de l'objet de base.
  • Si forcraft est True, l'objet résultant sera un clone Draft et non un clone Arch même si obj est un Atelier Arch objet.

La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut Fuse à True.

Exemple:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Draft PointArray.svg Réseau de points
Page suivante : Dessin Draft Drawing.svg Arrow-right.svg